float defog;
float gamma;
float threshold;
sampler RT: register(s0);
float4 main_bloom_brightpass_ps(float2 UV0 : TEXCOORD0,
				float exposure : TEXCOORD1) : COLOR
{
	float4 scnColor = tex2D(RT, UV0);

	// Expose
	scnColor = max(0, scnColor - defog);
	scnColor *= exposure;

	// gamma correction
	scnColor = pow(scnColor, gamma);

	// Only pass colours that exceed the threshold
	float4 isNeg = scnColor - threshold;
	if (isNeg.r < 0.0 || isNeg.g < 0.0 || isNeg.b < 0.0)
		scnColor = 0;

	return scnColor;
}
