float blend;
sampler RT: register(s0);
float4 main_halftone_2_ps(	float2 UV : TEXCOORD0, 
				float stride: TEXCOORD1,
				float dotsize: TEXCOORD2,
				float halfstride: TEXCOORD3) : COLOR
{
	float4 origScnColor = tex2D(RT, UV);
	float2 Pbase = UV - fmod(UV, stride);
	float2 PCenter = Pbase + halfstride;
	float4 tileColor = tex2D(RT, PCenter);

	float isinDot = length(UV - PCenter) < dotsize / 2;
	isinDot*= tileColor;

	// Apply blending
	origScnColor *= (1-blend);
	isinDot *= blend;
	return saturate(origScnColor + float4(isinDot, isinDot, isinDot, 1));
}
