float blend;
sampler RT: register(s0);
float4 main_halftone_5_ps(	float2 UV : TEXCOORD0, 
				float stride: TEXCOORD1,
				float dotsize: TEXCOORD2,
				float halfstride: TEXCOORD3) : COLOR
{
	float4 origScnColor = tex2D(RT, UV);
	float2 Pbase = UV - fmod(UV, stride);
	float4 tileColor = tex2D(RT, Pbase);

	float bright = tileColor.rgb /1.732; // white = (1 + 1 + 1)^.5 = 1.732	
	float isinDot = UV - Pbase < bright * dotsize;

	// Apply blending
	origScnColor *= (1-blend);
	isinDot *= blend;
	return saturate(origScnColor + isinDot);
}