float blend;
float defog;
float gamma;
float interference;
float time_0_x;
sampler RT: register(s0);
sampler Rand: register(s1);
float4 main_nightvision_ps(float2 UV: TEXCOORD0, float2 pos: TEXCOORD1, float exposure: TEXCOORD2) : COLOR
{
	float4 origScnColor = tex2D(RT, UV);
	float4 scnColor = origScnColor;

	// Expose
	scnColor = max(0, scnColor - defog);
	scnColor *= exposure;

	// Gamma correction
	scnColor = pow(scnColor, gamma);

	// Apply noise
	float rand = tex3D(Rand, float3(1.5 * pos, time_0_x)) - 0.2;
	rand = interference * rand;
	scnColor = scnColor + rand;

	// Set to green
	scnColor.rb = 0;

	// Apply blending
	origScnColor *= (1-blend);
	scnColor *= blend;
	return saturate(origScnColor + scnColor);
}
