float3 rgb2cmy(float3 rgbColor)
{
	return (float3(1,1,1) - rgbColor);
}


float4 cmy2cmyk(float3 cmyColor)
{
	float k = ((float)1.0);
	k = min(k,cmyColor.x);
	k = min(k,cmyColor.y);
	k = min(k,cmyColor.z);
	float4 cmykColor;
	cmykColor.xyz = (cmyColor - (float3)k)/((float3)(((float)1.0)-k).xxx);
	cmykColor.w = k;
	return (cmykColor);
}

float blend;
sampler RT: register(s0);
float4 main_tocmyk_ps(float2 UV: TEXCOORD0, float2 pos: TEXCOORD1) : COLOR
{
	float3 origScnColor = tex2D(RT, UV).xyz;
	float3 scnColor = origScnColor;

	// Apply blending
	scnColor = cmy2cmyk(rgb2cmy(scnColor));
	origScnColor *= (1-blend);
	scnColor *= blend;
	return saturate(float4(origScnColor.xyz, 1) + float4(scnColor.xyz, 1));
}
