//--------------------------------------------------------------------------------------------------------
struct VS_OUTPUT_BLOOM
{
   float4 Pos: POSITION;
   float2 texCoord: TEXCOORD0;
};

VS_OUTPUT_BLOOM main_bloom_vs(float4 Pos: POSITION)
{
	VS_OUTPUT_BLOOM Out;

	// Clean up inaccuracies
	Pos.xy = sign(Pos.xy);

	Out.Pos = float4(Pos.xy, 0, 1);

	// Image-space
	Out.texCoord.x = 0.5 * (1 + Pos.x);
	Out.texCoord.y = 0.5 * (1 - Pos.y);

	return Out;
}

//--------------------------------------------------------------------------------------------------------
struct EdgeVertexOutput
{
	float4 Position	: POSITION;
	float2 UV00 : TEXCOORD0;
	float2 UV01 : TEXCOORD1;
	float2 UV02 : TEXCOORD2;
	float2 UV10 : TEXCOORD3;
	float2 UV12 : TEXCOORD4;
	float2 UV20 : TEXCOORD5;
	float2 UV21 : TEXCOORD6;
	float2 UV22 : TEXCOORD7;
};

float nPixels;
float4x4 worldViewProj;
EdgeVertexOutput main_edgedetect_vs(float4 Position : POSITION, float2 TexCoord : TEXCOORD0)
{
	EdgeVertexOutput OUT;
	OUT.Position = mul(worldViewProj, Position);
	Position.xy = sign(Position.xy);
	float2 ctr = (float2(Position.x, -Position.y) + 1.0f) * 0.5f;
	float2 ox = float2(nPixels, 0.0);
	float2 oy = float2(0.0, nPixels);
	OUT.UV00 = ctr - ox - oy;
	OUT.UV01 = ctr - oy;
	OUT.UV02 = ctr + ox - oy;
	OUT.UV10 = ctr - ox;
	OUT.UV12 = ctr + ox;
	OUT.UV20 = ctr - ox + oy;
	OUT.UV21 = ctr + oy;
	OUT.UV22 = ctr + ox + oy;
	return OUT;
}
