float wobbleTime;
float xScale;
float yScale;
float squeezeType;
float squeezeScale;
float scroll;
float speed;
sampler tex;
sampler affector;

float4 main(float2 texCoord: TEXCOORD0) : COLOR
{
	// Keep the original y value
	float alpha = 1 - texCoord.y;

	// Apply wobble
	float sine = sin(yScale * texCoord.y + wobbleTime);
	texCoord.x = texCoord.x + xScale * sine;

	// Apply squeezing
	float x = texCoord.x;
	if (squeezeType == 0)
		x = (texCoord.x - 0.5) / (texCoord.y * squeezeScale) + 0.5;
	else
		x = (texCoord.x - 0.5) / (squeezeScale - texCoord.y * squeezeScale) + 0.5;

	texCoord.x = clamp (x, 0, 1);

	// Apply scroll; start at the bottom again if the top is reached
	float y = texCoord.y + scroll * speed;

	texCoord.y = y;

	// Apply alpha affector
	float4 alphaAffector = tex1D(affector, alpha);
	float4 col = tex2D(tex, texCoord);
	if (alphaAffector.a < col.a)
		col.a = alphaAffector.a;
	
	return col;

}
